Bug 840606 - font artifacts with 9.05 and x11alpha
font artifacts with 9.05 and x11alpha
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 12:59 EDT by Orion Poplawski
Modified: 2012-12-13 00:51 EST (History)
1 user (show)

See Also:
Fixed In Version: ghostscript-9.06-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 00:51:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
IDL produced graphics. (43.63 KB, application/postscript)
2012-07-16 12:59 EDT, Orion Poplawski
no flags Details
good rendering (46.49 KB, image/png)
2012-07-16 13:00 EDT, Orion Poplawski
no flags Details
Bad rendering (55.01 KB, image/png)
2012-07-16 13:01 EDT, Orion Poplawski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Ghostscript 693182 None None None 2012-07-16 13:03:02 EDT

  None (edit)
Description Orion Poplawski 2012-07-16 12:59:38 EDT
Created attachment 598499 [details]
IDL produced graphics.

Description of problem:

With 9.05 (-1 and -3) on F17 we see character artifacts in the attached image.  We don't see these with 9.04, including 9.04-9 built on F17.  The image is produce with IDL with something of a kludge of setting the fontsize to a very small number (.001) to suppress axis labels.

Version-Release number of selected component (if applicable):
9.05
Comment 1 Orion Poplawski 2012-07-16 13:00:54 EDT
Created attachment 598500 [details]
good rendering

This is the expected rendering (9.04 and earlier)
Comment 2 Orion Poplawski 2012-07-16 13:01:30 EDT
Created attachment 598501 [details]
Bad rendering

Bad rendering with 9.05
Comment 3 Orion Poplawski 2012-07-16 13:03:02 EDT
I tried reproducing with upstream's binaries, but ran into other problems (segfault with 9.04 and no X display with 9.05).  Filed that upstream, see linked bug id.
Comment 4 Orion Poplawski 2012-07-16 16:31:28 EDT
Apparently this is an issue with the x11alpha driver.  Image appears fine with -sDEVICE=x11.  This was first noticed with gv which uses x11alpha to render.
Comment 5 Orion Poplawski 2012-08-02 17:43:45 EDT
Upstream reports that this is now fixed in git and that a new release should be forthcoming in a week or two.
Comment 6 Orion Poplawski 2012-10-08 19:03:26 EDT
Any chance we can get 9.06 in F17 to fix this?  Or backport the fix?
Comment 7 Tim Waugh 2012-10-09 05:52:36 EDT
It isn't even in F18 yet.  Let me get it in there first, and then we look at getting it into F17.
Comment 8 Fedora Update System 2012-10-09 05:53:06 EDT
ghostscript-9.06-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghostscript-9.06-3.fc18
Comment 9 Orion Poplawski 2012-10-09 11:18:48 EDT
Okay.  I've built it locally and am testing it here on F17.  Thanks.
Comment 10 Fedora Update System 2012-11-08 00:51:05 EST
ghostscript-9.06-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-11-08 05:47:27 EST
ghostscript-9.06-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghostscript-9.06-3.fc17
Comment 12 Fedora Update System 2012-11-09 13:05:40 EST
Package ghostscript-9.06-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.06-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17885/ghostscript-9.06-3.fc17
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-12-13 00:51:17 EST
ghostscript-9.06-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.